Name:           gocr
Version:        0.45
Release:        2%{?dist}
Summary:        GNU Optical Character Recognition program

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://jocr.sourceforge.net/
Source0:        http://downloads.sourceforge.net/jocr/gocr-%{version}.tar.gz
Patch0:         gocr-0.45-perms.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  netpbm-devel
# Needed for conversion programs
Requires:       gzip, bzip2, libjpeg, netpbm-progs, transfig

%description
GOCR is an OCR (Optical Character Recognition) program, developed under the
GNU Public License. It converts scanned images of text back to text files.
Joerg Schulenburg started the program, and now leads a team of developers.

GOCR can be used with different front-ends, which makes it very easy to port
to different OSes and architectures. It can open many different image
formats, and its quality have been improving in a daily basis.

%package devel
Group:          Applications/Multimedia
Summary:        GNU Optical Character Recognition program development files
# not strictly required
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package enables you to develop applications capable of image to text
conversion using Pgm2asc library which is part of GOCR. Install this package
if you want to develop text recognition programs using Pgm2asc.

%prep
%setup -q
%patch0 -p1 -b .perms


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
# Don't ship buggy Tcl/Tk frontend
rm $RPM_BUILD_ROOT/%{_bindir}/gocr.tcl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS CREDITS doc/gocr.html gpl.html HISTORY README
%doc REMARK.txt REVIEW TODO
%lang(de) %doc READMEde.txt
%{_bindir}/gocr
%{_mandir}/man1/gocr.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gocr.h
%{_libdir}/libPgm2asc.a

%changelog
* Wed Feb 13 2008 Tomas Smetana <tsmetana@redhat.com> - 0.45-2
- rebuild (gcc-4.3)

* Mon Jan 28 2008 Patrice Dumas <pertusus@free.fr> - 0.45-1
- update to 0.45
- rename gocr-0.44-man.patch to gocr-0.45-perms.patch and
  fix library and header permissions

* Mon Jan 14 2008 Tomas Smetana <tsmetana@redhat.com> - 0.44-4
- build devel package (with static library)

* Tue Aug 21 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.44-3
- Update license tag to GPLv2+
- Rebuild for BuildID

* Wed Mar 21 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.44-2
- Bump release to fix import tag issue

* Fri Mar 02 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.44-1
- Update to 0.44

* Mon Dec 18 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.43-1
- Update to 0.43
- Don't ship frontends

* Wed Nov 22 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.41-3
- Add more requires

* Tue Nov 21 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.41-2
- Split TCL/Tk GUI into -tk sub-package
- Ship GTK+ GUI

* Mon Nov 20 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.41-1
- Initial Fedora Extras Version
